module WeatherModel
  module SourceSchema
    WeatherIndex = {
      sort: 'Other',
      table_name: :weather_index,
      schema: {
        publishtime: :datetime,
        type: :string,
        list: :text
      },
      options: {
        index: [:publishtime],
        expire: 3 * 24 * 60 * 60,
        json_column: :list
      },
      factory_name: :weather_index,
      factory: {
        publishtime: Time.parse('2017-05-16 16:00'),
        warning_type: "雷电",
        list: [
          {:detail=>"日照强度强，外出需加强防护。", :id=>"1", :level=>"3级", :mean=>"加强防护", :name=>"日照指数", :shortcues=>"强", :time=>"2017-06-02"}, 
          {:detail=>"气温适宜，人体感觉略偏暖，较为舒适。", :id=>"2", :level=>"1级", :mean=>"气温适宜，人体感觉略偏暖，较为舒适", :name=>"体感指数(上午)", :shortcues=>"较舒适", :time=>"2017-06-02"}
        ]
      }
    }
  end
end
